Package org.eclipse.rdf4j.query.parser.sparql

## Class BlankNodeVarProcessor

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.sparql.BlankNodeVarProcessor

- All Implemented Interfaces:
    `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`

      @InternalUseOnly
      public class BlankNodeVarProcessor
      extends AbstractASTVisitor

  Processes blank nodes in the query body, replacing them with variables while retaining scope.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlankNodeVarProcessor()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Set<String>` | `process​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer qc)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlankNodeVarProcessor

          public BlankNodeVarProcessor()

  - ### Method Detail

    - #### process

          public static Set<String> process​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer qc)
                                     throws MalformedQueryException

      Throws:
        `MalformedQueryException`